(function($){
	$(document).ready(function(){
		$('#btnNewSite').click(function(){
			location.href = 'site-new';
		});
		
		$('#btnBookmark').click(function(){
			alert('Not implemented yet.');
		});
		
		$('button[name=btnEditSite]').click(function(){
			alert('Not implemented yet.');
		});
		
		$('.see-all a').live('click', function(e){
			var $desc = $('.site-desc-text', $(this).closest('.site-desc'));
			if ($desc.hasClass('one-liner')){
				$desc.removeClass('one-liner fixed-width');
				$(this).text('Less');
				$(this).parent().appendTo($desc);
				$('.site-edit', $(this).closest('tr')).css('vertical-align', 'top').find('button').css('margin-top', '7px');
			}
			else {
				$desc.addClass('one-liner fixed-width');
				$(this).text('See all');
				$(this).parent().appendTo($(this).closest('.site-desc'));
				$('.site-edit', $(this).closest('tr')).css('vertical-align', 'middle').find('button').css('margin-top', '2px');
			}			
			return false;
		});
	});
})(jQuery);